#include "partition.h"
std::vector<int> solve(std::vector<int> A) {
    std::vector<int> AB;
    std::vector<int> otg;
    for(long long i=0; i<A.size(); i++){
        AB.push_back(A[i]);
    }
    sort(AB.begin(), AB.end());
    reverse(AB.begin(), AB.end());
    for(long long i=0; i<AB.size();i++){
        for(int j=0; j<A.size(); j++){
            if(A[j]==AB[i]){

                otg.push_back(j);
                A[j]=-1;
                break;
            }
        }
    }
    return otg;
}